Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.ioca
Class ImageCellPosition

    java.lang.Object
      org.apache.fop.afp.modca.AbstractAFPObject
          org.apache.fop.afp.ioca.ImageCellPosition

All Implemented Interfaces:
  Streamable

    public class ImageCellPosition

extends AbstractAFPObject

The IM Image Cell Position structured field specifies the placement, size, and replication of IM image cells.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`AbstractAFPObject.Category, AbstractAFPObject.Type`

Field Summary

Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`LOG, SF_CLASS, SF_HEADER_LENGTH`

Constructor Summary
`ImageCellPosition(int x, int y)` Main Constructor

Method Summary
`void` | `setXFillSize(int size)` Specifies the extent of the fill rectangle in the X direction, in image points.
`void` | `setXSize(int xcSize)` Specifies the extent in the X direction, in image points, of this image cell.
`void` | `setYFillSize(int size)` Specifies the extent of the fill rectangle in the Y direction, in image points.
`void` | `setYSize(int size)` Specifies the extent in the Y direction, in image points, of this image cell.
`void` | `writeToStream(java.io.OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`copySF, copySF, truncate, writeChunksToStream, writeObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageCellPosition

    public ImageCellPosition(int x,
                             int y)

  Main Constructor

  Parameters:
    `x` - The offset of image cell in X direction
    `y` - The offset of image cell in Y direction

Method Detail

### writeToStream

    public void writeToStream(java.io.OutputStream os)
                       throws java.io.IOException

  DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

  Parameters:
    `os` - the outputsteam stream
  Throws:
    `java.io.IOException` - an I/O exception of some sort has occurred.

### setXSize

    public void setXSize(int xcSize)

  Specifies the extent in the X direction, in image points, of this image cell. A value of X'FFFF' indicates that the default extent specified in bytes 28 and 29 of the Image Input Descriptor (IID) is to be used.

  Parameters:
    `xcSize` - The size to set.

### setXFillSize

    public void setXFillSize(int size)

  Specifies the extent of the fill rectangle in the X direction, in image points. This value can be smaller than, equal to, or larger than the image cell extent in the X direction (XCSize). A value of X'FFFF' indicates that the image cell X-extent should be used as the fill rectangle X-extent. The fill rectangle is filled in the X direction by repeating the image cell in the X direction. The image cell can be truncated to fit the rectangle.

  Parameters:
    `size` - The size to set.

### setYSize

    public void setYSize(int size)

  Specifies the extent in the Y direction, in image points, of this image cell. A value of X'FFFF' indicates that the default extent specified in bytes 30 and 31 of the Image Input Descriptor (IID) is to be used.

  Parameters:
    `size` - The size to set.

### setYFillSize

    public void setYFillSize(int size)

  Specifies the extent of the fill rectangle in the Y direction, in image points. This value can be smaller than, equal to, or larger than the image cell extent in the Y direction (YCSize). A value of X'FFFF' indicates that the image cell Y-extent should be used as the fill rectangle Y-extent. The fill rectangle is filled in the Y direction by repeating the image cell in the Y direction. The image cell can be truncated to fit the rectangle.

  Parameters:
    `size` - The size to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.